[arch-commits] Commit in evolution-data-server/repos (6 files)

Jan Steffens heftig at archlinux.org
Tue Oct 31 00:56:10 UTC 2017


    Date: Tuesday, October 31, 2017 @ 00:56:09
  Author: heftig
Revision: 308730

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  evolution-data-server/repos/extra-i686/0001-Don-t-free-instance_recur_id-when-not-initialized.patch
    (from rev 308729, evolution-data-server/trunk/0001-Don-t-free-instance_recur_id-when-not-initialized.patch)
  evolution-data-server/repos/extra-i686/PKGBUILD
    (from rev 308729, evolution-data-server/trunk/PKGBUILD)
  evolution-data-server/repos/extra-x86_64/0001-Don-t-free-instance_recur_id-when-not-initialized.patch
    (from rev 308729, evolution-data-server/trunk/0001-Don-t-free-instance_recur_id-when-not-initialized.patch)
  evolution-data-server/repos/extra-x86_64/PKGBUILD
    (from rev 308729, evolution-data-server/trunk/PKGBUILD)
Deleted:
  evolution-data-server/repos/extra-i686/PKGBUILD
  evolution-data-server/repos/extra-x86_64/PKGBUILD

---------------------------------------------------------------------------+
 /PKGBUILD                                                                 |  110 ++++++++++
 extra-i686/0001-Don-t-free-instance_recur_id-when-not-initialized.patch   |   30 ++
 extra-i686/PKGBUILD                                                       |   52 ----
 extra-x86_64/0001-Don-t-free-instance_recur_id-when-not-initialized.patch |   30 ++
 extra-x86_64/PKGBUILD                                                     |   52 ----
 5 files changed, 170 insertions(+), 104 deletions(-)

Copied: evolution-data-server/repos/extra-i686/0001-Don-t-free-instance_recur_id-when-not-initialized.patch (from rev 308729, evolution-data-server/trunk/0001-Don-t-free-instance_recur_id-when-not-initialized.patch)
===================================================================
--- extra-i686/0001-Don-t-free-instance_recur_id-when-not-initialized.patch	                        (rev 0)
+++ extra-i686/0001-Don-t-free-instance_recur_id-when-not-initialized.patch	2017-10-31 00:56:09 UTC (rev 308730)
@@ -0,0 +1,30 @@
+From abc7de46102bfc2766a5c22ce59807db3d5638bb Mon Sep 17 00:00:00 2001
+Message-Id: <abc7de46102bfc2766a5c22ce59807db3d5638bb.1509410670.git.jan.steffens at gmail.com>
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Tue, 31 Oct 2017 01:35:34 +0100
+Subject: [PATCH] Don't free instance_recur_id when not initialized
+
+Caused chaos and confusing crashes in gnome-shell-calendar-server.
+
+Fixes efe14e5959. Found via bisect and again by valgrind.
+---
+ src/calendar/libecal/e-cal-client.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/calendar/libecal/e-cal-client.c b/src/calendar/libecal/e-cal-client.c
+index a4143ecd6749a884..546426243d35d008 100644
+--- a/src/calendar/libecal/e-cal-client.c
++++ b/src/calendar/libecal/e-cal-client.c
+@@ -2558,8 +2558,8 @@ process_detached_instances (GSList *instances,
+ 						ci->comp = comp;
+ 					}
+ 				}
++				e_cal_component_free_range (&instance_recur_id);
+ 			}
+-			e_cal_component_free_range (&instance_recur_id);
+ 		}
+ 
+ 		e_cal_component_free_datetime (&recur_id.datetime);
+-- 
+2.14.2
+

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2017-10-31 00:54:55 UTC (rev 308729)
+++ extra-i686/PKGBUILD	2017-10-31 00:56:09 UTC (rev 308730)
@@ -1,52 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=evolution-data-server
-pkgver=3.26.2
-pkgrel=1
-pkgdesc="Centralized access to appointments and contacts"
-url="https://wiki.gnome.org/Apps/Evolution"
-arch=(i686 x86_64)
-depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
-makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
-license=(GPL)
-_commit=1ef35fef0ed50d52cd2da6e8776429522708e3a5  # tags/EVOLUTION_DATA_SERVER_3_26_2^0
-source=("git+https://git.gnome.org/browse/evolution-data-server#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  cd $pkgname
-
-  cmake . -G Ninja \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIBEXEC_INSTALL_DIR=/usr/lib/$pkgname \
-    -DSYSCONF_INSTALL_DIR=/etc \
-    -DENABLE_INTROSPECTION=ON \
-    -DENABLE_VALA_BINDINGS=ON \
-    -DENABLE_UOA=OFF \
-    -DENABLE_GOOGLE_AUTH=ON \
-    -DENABLE_GTK_DOC=ON \
-    -DWITH_PHONENUMBER=ON
-  ninja
-}
-
-check() {
-  cd $pkgname
-  # libedata-book tests fail because they try to
-  # mkdir /usr/lib/evolution-data-server/camel-providers
-  ninja test || :
-}
-
-package() {
-  cd $pkgname
-  DESTDIR="$pkgdir" ninja install
-}

Copied: evolution-data-server/repos/extra-i686/PKGBUILD (from rev 308729, evolution-data-server/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2017-10-31 00:56:09 UTC (rev 308730)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=evolution-data-server
+pkgver=3.26.2
+pkgrel=2
+pkgdesc="Centralized access to appointments and contacts"
+url="https://wiki.gnome.org/Apps/Evolution"
+arch=(i686 x86_64)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
+license=(GPL)
+_commit=1ef35fef0ed50d52cd2da6e8776429522708e3a5  # tags/EVOLUTION_DATA_SERVER_3_26_2^0
+source=("git+https://git.gnome.org/browse/evolution-data-server#commit=$_commit"
+        0001-Don-t-free-instance_recur_id-when-not-initialized.patch)
+sha256sums=('SKIP'
+            '9cadbaf8a38c59ca28494ae608466690d6cb72b4f82df4f10b35cbe57daf9e8a')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  patch -Np1 -i ../0001-Don-t-free-instance_recur_id-when-not-initialized.patch
+}
+
+build() {
+  cd $pkgname
+
+  cmake . -G Ninja \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLIBEXEC_INSTALL_DIR=/usr/lib/$pkgname \
+    -DSYSCONF_INSTALL_DIR=/etc \
+    -DENABLE_INTROSPECTION=ON \
+    -DENABLE_VALA_BINDINGS=ON \
+    -DENABLE_UOA=OFF \
+    -DENABLE_GOOGLE_AUTH=ON \
+    -DENABLE_GTK_DOC=ON \
+    -DWITH_PHONENUMBER=ON
+  ninja
+}
+
+check() {
+  cd $pkgname
+  # libedata-book tests fail because they try to
+  # mkdir /usr/lib/evolution-data-server/camel-providers
+  ninja test || :
+}
+
+package() {
+  cd $pkgname
+  DESTDIR="$pkgdir" ninja install
+}

Copied: evolution-data-server/repos/extra-x86_64/0001-Don-t-free-instance_recur_id-when-not-initialized.patch (from rev 308729, evolution-data-server/trunk/0001-Don-t-free-instance_recur_id-when-not-initialized.patch)
===================================================================
--- extra-x86_64/0001-Don-t-free-instance_recur_id-when-not-initialized.patch	                        (rev 0)
+++ extra-x86_64/0001-Don-t-free-instance_recur_id-when-not-initialized.patch	2017-10-31 00:56:09 UTC (rev 308730)
@@ -0,0 +1,30 @@
+From abc7de46102bfc2766a5c22ce59807db3d5638bb Mon Sep 17 00:00:00 2001
+Message-Id: <abc7de46102bfc2766a5c22ce59807db3d5638bb.1509410670.git.jan.steffens at gmail.com>
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Tue, 31 Oct 2017 01:35:34 +0100
+Subject: [PATCH] Don't free instance_recur_id when not initialized
+
+Caused chaos and confusing crashes in gnome-shell-calendar-server.
+
+Fixes efe14e5959. Found via bisect and again by valgrind.
+---
+ src/calendar/libecal/e-cal-client.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/calendar/libecal/e-cal-client.c b/src/calendar/libecal/e-cal-client.c
+index a4143ecd6749a884..546426243d35d008 100644
+--- a/src/calendar/libecal/e-cal-client.c
++++ b/src/calendar/libecal/e-cal-client.c
+@@ -2558,8 +2558,8 @@ process_detached_instances (GSList *instances,
+ 						ci->comp = comp;
+ 					}
+ 				}
++				e_cal_component_free_range (&instance_recur_id);
+ 			}
+-			e_cal_component_free_range (&instance_recur_id);
+ 		}
+ 
+ 		e_cal_component_free_datetime (&recur_id.datetime);
+-- 
+2.14.2
+

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2017-10-31 00:54:55 UTC (rev 308729)
+++ extra-x86_64/PKGBUILD	2017-10-31 00:56:09 UTC (rev 308730)
@@ -1,52 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgname=evolution-data-server
-pkgver=3.26.2
-pkgrel=1
-pkgdesc="Centralized access to appointments and contacts"
-url="https://wiki.gnome.org/Apps/Evolution"
-arch=(i686 x86_64)
-depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
-makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
-license=(GPL)
-_commit=1ef35fef0ed50d52cd2da6e8776429522708e3a5  # tags/EVOLUTION_DATA_SERVER_3_26_2^0
-source=("git+https://git.gnome.org/browse/evolution-data-server#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-}
-
-build() {
-  cd $pkgname
-
-  cmake . -G Ninja \
-    -DCMAKE_INSTALL_PREFIX=/usr \
-    -DLIBEXEC_INSTALL_DIR=/usr/lib/$pkgname \
-    -DSYSCONF_INSTALL_DIR=/etc \
-    -DENABLE_INTROSPECTION=ON \
-    -DENABLE_VALA_BINDINGS=ON \
-    -DENABLE_UOA=OFF \
-    -DENABLE_GOOGLE_AUTH=ON \
-    -DENABLE_GTK_DOC=ON \
-    -DWITH_PHONENUMBER=ON
-  ninja
-}
-
-check() {
-  cd $pkgname
-  # libedata-book tests fail because they try to
-  # mkdir /usr/lib/evolution-data-server/camel-providers
-  ninja test || :
-}
-
-package() {
-  cd $pkgname
-  DESTDIR="$pkgdir" ninja install
-}

Copied: evolution-data-server/repos/extra-x86_64/PKGBUILD (from rev 308729, evolution-data-server/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2017-10-31 00:56:09 UTC (rev 308730)
@@ -0,0 +1,55 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=evolution-data-server
+pkgver=3.26.2
+pkgrel=2
+pkgdesc="Centralized access to appointments and contacts"
+url="https://wiki.gnome.org/Apps/Evolution"
+arch=(i686 x86_64)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libgdata libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git cmake ninja)
+license=(GPL)
+_commit=1ef35fef0ed50d52cd2da6e8776429522708e3a5  # tags/EVOLUTION_DATA_SERVER_3_26_2^0
+source=("git+https://git.gnome.org/browse/evolution-data-server#commit=$_commit"
+        0001-Don-t-free-instance_recur_id-when-not-initialized.patch)
+sha256sums=('SKIP'
+            '9cadbaf8a38c59ca28494ae608466690d6cb72b4f82df4f10b35cbe57daf9e8a')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  patch -Np1 -i ../0001-Don-t-free-instance_recur_id-when-not-initialized.patch
+}
+
+build() {
+  cd $pkgname
+
+  cmake . -G Ninja \
+    -DCMAKE_INSTALL_PREFIX=/usr \
+    -DLIBEXEC_INSTALL_DIR=/usr/lib/$pkgname \
+    -DSYSCONF_INSTALL_DIR=/etc \
+    -DENABLE_INTROSPECTION=ON \
+    -DENABLE_VALA_BINDINGS=ON \
+    -DENABLE_UOA=OFF \
+    -DENABLE_GOOGLE_AUTH=ON \
+    -DENABLE_GTK_DOC=ON \
+    -DWITH_PHONENUMBER=ON
+  ninja
+}
+
+check() {
+  cd $pkgname
+  # libedata-book tests fail because they try to
+  # mkdir /usr/lib/evolution-data-server/camel-providers
+  ninja test || :
+}
+
+package() {
+  cd $pkgname
+  DESTDIR="$pkgdir" ninja install
+}



More information about the arch-commits mailing list